from visual import *
import time, sys

a=display()
a.title = "Hello world"
a.center = 1,2,3
a.forward = -3,-4,-5
a.scale=10,0,1
a.width = 600
assert a.center==vector(1,2,3)
assert a.forward==-vector(3,4,5)
assert a.range.x==0.1
assert a.range.y==0.0
assert a.range.z==1.0
#a.show()

print 'Consistency tests ok.'

b = box(visible=0)
print sys.getrefcount(b)-1
b.visible=1
print sys.getrefcount(b)-1
b.visible=0
print sys.getrefcount(b)-1
del b

pi=3.14159
a.center = 0,0,0.5
a.range = 1.2,1.2,1.2
##a.fov = 100*pi/180
print a.center
print a.scale
print a.forward

a.autoscale = 1

n=0
L = 0.4
s=0.1
sep=0.2
all=[]

u=-2
while u<2:
    u = u + sep
    t=0
    while t<2*pi:
        t = t + sep
        c=box()
        c.pos = vector(sin(t),cos(t),u)
        c.vel = vector(-0.01*sin(t),0,0)
        #c.axis = c.pos
        #c.radius = s/2
        c.width = c.height = s
        c.length = s*2
        c.color = (sin(t)/2+0.5,cos(t)/2+0.5,u/4+0.5)
        all.append(c)
        n=n+1

print n

t=0
while 1:
    for c in all:
        c.pos = c.pos + c.vel

    time.sleep(0.02)
